# $Revision: 1.14 $, $Date: 2004/05/07 01:12:28 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Tie
%define	pnam	Coupler
Summary:	Tie::Coupler - Tie based implementation of coupled scalars
Summary(pl):	Tie::Coupler - implementacja par skalarw bazujca na Tie
Name:		perl-Tie-Coupler
Version:	0.01
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	34537d1e9fc070003ea3be50b40fb813
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tie::Coupler provides a mechanism by which you can couple two scalars.
That is the value of the coupled scalar would determined by the value
of the scalar to which it is coupled. The code referenced by the
options fconvert and rconvert determine the relation between the two
scalars.

%description -l pl
Modu Tie::Coupler udostpnia mechanizm, ktrym mona powiza dwa
skalary. Oznacza to, e warto powizanego skalaru bdzie okrelona
przez warto skalaru, z ktrym zosta powizany. Kod wskazany przez
opcje fconvert i rconvert okrela relacj midzy obydwoma skalarami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a example $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tie-Coupler.spec,v $
Revision 1.14  2004/05/07 01:12:28  ankry
- rel. 4

Revision 1.13  2004/05/06 18:21:21  ankry
- fixed perl-devel BR

Revision 1.12  2004/05/03 21:36:02  ankry
- licence fix

Revision 1.11  2004/04/27 15:26:28  ankry
- new bconds

Revision 1.10  2003/09/09 10:24:52  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:22  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:07  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:37  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 21:35:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:59  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/10 21:28:13  qboosh
- pl description, release 2

Revision 1.1  2002/09/07 18:59:44  radek
- new, STBR
